/**
 * Get the most probable language for the given value.
 *
 * @param {string} [value]
 *   The value to test.
 * @param {Object} [options]
 *   Configuration.
 * @return {string}
 *  The most probable language.
 */
export function franc(
  value?: string | undefined,
  options?: Object | undefined
): string
/**
 * Get a list of probable languages the given value is
 * written in.
 *
 * @param {string} [value]
 *   The value to test.
 * @param {Options} [options]
 *   Configuration.
 * @return {TrigramTuple[]}
 *   An array containing language—distance tuples.
 */
export function francAll(
  value?: string | undefined,
  options?: Options | undefined
): import('trigram-utils').TrigramTuple[]
export type TrigramTuple = import('trigram-utils').TrigramTuple
export type Options = {
  /**
   * allow languages
   */
  only?: string[] | undefined
  /**
   * disallow languages
   */
  ignore?: string[] | undefined
  /**
   * minimum length to accept
   */
  minLength?: number | undefined
}
